Package: org.grails.encoder.impl

## [Java] Class HTML4Decoder

- org.grails.encoder.impl.HTML4Decoder

- All Implemented Interfaces and Traits:
    Decoder

      public class HTML4Decoder
      extends java.lang.Object
      implements Decoder

  HTML4 decoder that uses Spring's HtmlUtils.htmlUnescape to do the unescaping.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `decode(java.lang.Object o)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.Object decode(java.lang.Object o)

    - #### public CodecIdentifier getCodecIdentifier()